Page MenuHomePhabricator

BadMethodCallException in sql object cache
Closed, ResolvedPublic

Description

2015-06-22 19:14:30 mw1225 commonswiki exception INFO: [5c99e079] /w/api.php BadMethodCallException from line 292 of /srv/mediawiki/php-1.26wmf10/includes/db/DatabaseMysqli.php: Call to a member function real_escape_string() on a non-object (boolean)
#0 /srv/mediawiki/php-1.26wmf10/includes/db/DatabaseMysqlBase.php(553): DatabaseMysqli->mysqlRealEscapeString()
#1 /srv/mediawiki/php-1.26wmf10/includes/db/Database.php(2720): DatabaseMysqlBase->strencode()
#2 /srv/mediawiki/php-1.26wmf10/includes/db/Database.php(2246): DatabaseBase->addQuotes()
#3 /srv/mediawiki/php-1.26wmf10/includes/db/Database.php(1804): DatabaseBase->makeList()
#4 /srv/mediawiki/php-1.26wmf10/includes/db/Database.php(1752): DatabaseBase->selectSQLText()
#5 /srv/mediawiki/php-1.26wmf10/includes/objectcache/SqlBagOStuff.php(255): DatabaseBase->select()
#6 /srv/mediawiki/php-1.26wmf10/includes/objectcache/SqlBagOStuff.php(219): SqlBagOStuff->getMulti()
#7 /srv/mediawiki/php-1.26wmf10/includes/objectcache/MultiWriteBagOStuff.php(71): SqlBagOStuff->get()
#8 /srv/mediawiki/php-1.26wmf10/includes/parser/ParserCache.php(143): MultiWriteBagOStuff->get()
#9 /srv/mediawiki/php-1.26wmf10/includes/poolcounter/PoolWorkArticleView.php(69): ParserCache->getKey()
#10 /srv/mediawiki/php-1.26wmf10/includes/page/WikiPage.php(1125): PoolWorkArticleView->__construct()
#11 /srv/mediawiki/php-1.26wmf10/includes/api/ApiParse.php(493): WikiPage->getParserOutput()
#12 /srv/mediawiki/php-1.26wmf10/includes/api/ApiParse.php(174): ApiParse->getParsedContent()
#13 /srv/mediawiki/php-1.26wmf10/includes/api/ApiMain.php(1130): ApiParse->execute()
#14 /srv/mediawiki/php-1.26wmf10/includes/api/ApiMain.php(469): ApiMain->executeAction()
#15 /srv/mediawiki/php-1.26wmf10/includes/api/ApiMain.php(442): ApiMain->executeActionWithErrorHandling()
#16 /srv/mediawiki/php-1.26wmf10/api.php(88): ApiMain->execute()
#17 /srv/mediawiki/w/api.php(3): include()
#18 {main} {"private":false}

Event Timeline

aaron created this task.Jun 22 2015, 10:35 PM
aaron updated the task description. (Show Details)
aaron raised the priority of this task from to Needs Triage.
aaron added a project: DBA.
aaron added a subscriber: aaron.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 22 2015, 10:35 PM

Change 220264 had a related patch set uploaded (by Aaron Schulz):
Made SqlBagOStuff unset DB handles on connection errors

https://gerrit.wikimedia.org/r/220264

Change 221055 had a related patch set uploaded (by Aaron Schulz):
Throw exceptions when dead mysql DB handles are used instead of fatals

https://gerrit.wikimedia.org/r/221055

Change 221055 merged by jenkins-bot:
database: Throw exceptions when dead mysql DB handles are used instead of fatals

https://gerrit.wikimedia.org/r/221055

jcrespo triaged this task as Normal priority.
Krinkle set Security to None.
Krinkle assigned this task to aaron.
Krinkle added a project: MediaWiki-Cache.

Change 220264 merged by jenkins-bot:
Made SqlBagOStuff unset DB handles on connection errors

https://gerrit.wikimedia.org/r/220264

aaron closed this task as Resolved.Jul 2 2015, 6:45 PM